Page Menu
Home
DevCentral
Search
Configure Global Search
Log In
Files
F3757553
D2171.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Award Token
Flag For Later
Size
2 KB
Referenced Files
None
Subscribers
None
D2171.diff
View Options
diff --git a/utils/upgrade-version b/utils/upgrade-version
new file mode 100755
--- /dev/null
+++ b/utils/upgrade-version
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# -------------------------------------------------------------
+# Prepare an upgrade change and send it to review
+# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
+# Project: Nasqueron
+# Author: Sébastien Santoro aka Dereckson
+# License: BSD-2-Clause
+# -------------------------------------------------------------
+
+# Docker host for container
+SERVER=equatower
+
+# -------------------------------------------------------------
+# Parse arguments
+#
+# Usage: upgrade-version <new version>
+# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
+
+if [ $# -ne 1 ]; then
+ echo "Usage: $0 <new version>"
+ exit 1
+fi
+
+if [ ! -f VERSION ]; then
+ echo This script must be run at the repository root. A VERSION file is expected.
+ exit 2
+fi
+
+OLD_VERSION=$(cat VERSION)
+NEW_VERSION=$1
+
+# -------------------------------------------------------------
+# Determine available toolchain
+#
+# :: GNU sed path
+# :: Arcanist is installed?
+# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
+
+if hash gsed 2> /dev/null; then
+ SED="gsed"
+else
+ SED="sed"
+fi
+
+hash arc 2> /dev/null
+WITH_ARCANIST=$?
+
+# -------------------------------------------------------------
+# Update files
+# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
+
+echo "$NEW_VERSION" > VERSION
+$SED -i "s/$OLD_VERSION/$NEW_VERSION/g" Dockerfile
+
+# -------------------------------------------------------------
+# Prepare change for review
+# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
+
+git checkout -b "upgrade/$NEW_VERSION"
+git commit VERSION Dockerfile \
+ -m "Upgrade to Openfire $NEW_VERSION" -m "" \
+ -m "Reference: http://download.igniterealtime.org/openfire/docs/latest/changelog.html"
+
+if [ $WITH_ARCANIST ]; then
+ arc diff "HEAD^"
+else
+ git show
+fi
+
+echo "Next steps:"
+echo " - Accept the revision"
+echo ' - Merge it to master with `arc land`'
+echo " - Tag commit with \`git tag $NEW_VERSION\`"
+echo ' - Publish tag with `git push --tags`'
+
+echo "To deploy:"
+echo " - ssh $SERVER sudo docker pull nasqueron/openfire"
+echo " - cd <ops repo>"
+echo " - salt $SERVER state.sls roles/paas-docker/containers/openfire"
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Wed, Nov 20, 06:43 (21 h, 11 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
2253725
Default Alt Text
D2171.diff (2 KB)
Attached To
Mode
D2171: Automate upgrade commits
Attached
Detach File
Event Timeline
Log In to Comment